aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-05-06 13:46:43 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-05-06 13:46:43 +0000
commit6b79aacb1166a3c997c68c51b7edcfec10a0aee1 (patch)
tree92d29414aaabcf036451c5fcb4ea0f6f5c53fb91
parentd53099fcba9c0d7e06731504b493216678021b58 (diff)
downloadaports-6b79aacb1166a3c997c68c51b7edcfec10a0aee1.tar.gz
aports-6b79aacb1166a3c997c68c51b7edcfec10a0aee1.tar.bz2
aports-6b79aacb1166a3c997c68c51b7edcfec10a0aee1.tar.xz
core/alpine-conf: upgrade to 2.0_alpha8
-rw-r--r--core/alpine-conf/APKBUILD12
-rw-r--r--core/alpine-conf/alpine-conf-cdrom.patch13
2 files changed, 4 insertions, 21 deletions
diff --git a/core/alpine-conf/APKBUILD b/core/alpine-conf/APKBUILD
index df67426a40..ccc0985fcd 100644
--- a/core/alpine-conf/APKBUILD
+++ b/core/alpine-conf/APKBUILD
@@ -1,25 +1,21 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alpine-conf
-pkgver=2.0_alpha7
-pkgrel=1
+pkgver=2.0_alpha8
+pkgrel=0
pkgdesc="Alpine configuration management scripts"
url=http://git.alpinelinux.org/cgit/$pkgname
depends="openrc"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
- alpine-conf-cdrom.patch
"
license="GPL-2"
build() {
cd "$srcdir/$pkgname-$pkgver"
- patch -p1 < ../alpine-conf-cdrom.patch || return 1
-
- make PREFIX= || return 1
+ make || return 1
make install PREFIX= DESTDIR="$pkgdir"
for i in commit exclude include status update; do
ln -s lbu "$pkgdir"/sbin/lbu_$i
done
}
-md5sums="f9eb1fa25b25f2e0c5597642dfca8a2e alpine-conf-2.0_alpha7.tar.bz2
-3c31743872275262350dde3b813df9f8 alpine-conf-cdrom.patch"
+md5sums="d1cd127629dd9f15739bdbce28583f6f alpine-conf-2.0_alpha8.tar.bz2"
diff --git a/core/alpine-conf/alpine-conf-cdrom.patch b/core/alpine-conf/alpine-conf-cdrom.patch
deleted file mode 100644
index 2748273a48..0000000000
--- a/core/alpine-conf/alpine-conf-cdrom.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/setup-disk b/setup-disk
-index 96a87bb..b7d8323 100644
---- a/setup-disk
-+++ b/setup-disk
-@@ -44,7 +44,7 @@ useall() {
- echo ""
- # make things bootable
- kernel=$(ls /mnt/lib/modules)
-- chroot /mnt /sbin/mkinitfs -F "ata base bootchart ext3 ide scsi usb" $kernel
-+ chroot /mnt /sbin/mkinitfs -F "ata base bootchart cdrom ext3 ide scsi usb" $kernel
-
- # create an extlinux.conf
- sed '/append initrd/d' /media/*/syslinux.cfg > /mnt/boot/extlinux.conf